%define	upstream_name	 Devel-StackTrace
%define upstream_version 2.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Stack trace and stack trace frame objects 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
%{upstream_name} module for perl.  Simple objects to deal with stack traces.
The parent object, Devel::StackTrace, holds a number of
Devel::StackTraceFrame objects (which have the same information as is
returned from caller()).  You can step through these frames forwards
and backwards as you want or retrieve specific frames.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 lib/Devel/StackTrace.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.50.0-2.mga10
+ Revision: 2220970
- Mageia 10 Mass Rebuild

* Tue Jan 09 2024 tv <tv> 2.50.0-1.mga10
+ Revision: 2029145
- update to 2.05

* Mon Mar 21 2022 umeabot <umeabot> 2.40.0-3.mga9
+ Revision: 1811673
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.40.0-2.mga8
+ Revision: 1526768
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 2.40.0-1.mga8
+ Revision: 1415507
- update to 2.04

* Thu Sep 20 2018 umeabot <umeabot> 2.30.0-2.mga7
+ Revision: 1282848
- Mageia 7 Mass Rebuild

* Sun Nov 19 2017 tv <tv> 2.30.0-1.mga7
+ Revision: 1177714
- update to 2.03

* Sat Jul 22 2017 shlomif <shlomif> 2.20.0-1.mga7
+ Revision: 1128534
- update to 2.02

* Sun Jun 19 2016 pterjan <pterjan> 2.10.0-2.mga6
+ Revision: 1025613
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 2.10.0-1.mga6
+ Revision: 989809
- update to 2.01

* Thu Feb 18 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 966020
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 2.0.0-1.mga6
+ Revision: 839343
- update to 2.00

* Wed Oct 15 2014 umeabot <umeabot> 1.340.0-3.mga5
+ Revision: 750368
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.340.0-2.mga5
+ Revision: 684335
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 1.340.0-1.mga5
+ Revision: 640822
- update to 1.34

* Tue May 06 2014 jquelin <jquelin> 1.320.0-1.mga5
+ Revision: 620549
- update to 1.32

* Thu Feb 06 2014 sander85 <sander85> 1.310.0-1.mga5
+ Revision: 584477
- update to 1.31

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-3.mga4
+ Revision: 510871
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 365806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.300.0-1.mga3
+ Revision: 342076
- update to 1.30

* Mon Jan 31 2011 dmorgan <dmorgan> 1.270.0-1.mga1
+ Revision: 45242
- New version

* Thu Jan 20 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 26083
- mageia rebuild
- imported package perl-Devel-StackTrace


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.260.0-1mdv2011.0
+ Revision: 587609
- update to new version 1.26

* Sat Sep 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-2mdv2011.0
+ Revision: 575738
- update to 1.24

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.220.0-2mdv2010.1
+ Revision: 405855
- bump mkrel to force rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.220.0-1mdv2010.0
+ Revision: 403104
- rebuild using %%perl_convert_version

* Thu Jul 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2010.0
+ Revision: 396544
- update to new version 1.22

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2010.0
+ Revision: 391943
- update to new version 1.21

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 297539
- update to new version 1.20

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.18-2mdv2009.0
+ Revision: 268419
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2009.0
+ Revision: 194847
- update to new version 1.18

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1.16-1mdv2008.1
+ Revision: 161657
- update to new version 1.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.15-2mdv2008.0
+ Revision: 64784
- rebuild

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.15-1mdv2008.0
+ Revision: 20058
- 1.15


* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- New release 1.13

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12
- spec cleanup
- fix directory onwership
- %%mkrel
- make test in %%check
- better summary
- better url
- fix sources url

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.11-1mdk
- ARG! 1.11 !"!!"#"!*#E*FRI)ET"5IXUUSJFH fsck this

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03
- wipe out buildroot in %%install, not %%prep
- coosmetics

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-3mdk
- rebuild for new auto{prov,req}

